package uk.ac.vamsas.client.simpleclient;

import java.io.File;
import java.io.Serializable;
/**
 * SimpleSessionHandle maintains mapping between external vamsas SessionHandles and simpleclient session directory locations.
 * @author JimP
 *
 */
public class SimpleSessionHandle extends uk.ac.vamsas.client.SessionHandle implements Serializable {
  /**
   * SimpleClient SessionHandle v0.1
   */
  private static final long serialVersionUID = 1L;
  /**
   * Construct urn from logical vamsas session urn for this session
   * @param urn
   */
  public SimpleSessionHandle(String urn) {
    super(urn);
  }
  /**
   * where the session is actually stored
   */
  private String physLoc = null;
  /**
   * Vamsas Session URN and physical location of simplesession vamsas session
   * @param urn
   * @param origDoc
   */
  public SimpleSessionHandle(String urn, File origDoc)
  {
   this(urn);
   setPhysLoc(origDoc.getAbsoluteFile().getAbsolutePath());
  }
  public void setPhysLoc(String physLoc) {
    this.physLoc = physLoc;
  }
  public String getPhysLoc() {
    return physLoc;
  }

}
